Read source analysis progress
curl --request GET \
--url https://bulkgrid.com/api/v1/sources/discover/analyses/{analysisId} \
--header 'x-api-key: <api-key>'import requests
url = "https://bulkgrid.com/api/v1/sources/discover/analyses/{analysisId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://bulkgrid.com/api/v1/sources/discover/analyses/{analysisId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "<string>",
"urlCount": 123,
"paths": [
{
"path": "<string>",
"depth": 123,
"count": 123,
"parent": "<string>",
"name": "<string>"
}
],
"levelSummaries": [
{
"parent": "<string>",
"total": 123,
"shown": 123
}
],
"warning": {
"type": "sitemap_incomplete",
"message": "<string>"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "crawling",
"scopeUrls": [
"<string>"
],
"error": "<string>",
"analyzedAt": "<string>"
}{
"error": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"details": "<unknown>"
}Sources
Read source analysis progress
Required permission: sources:discover.
GET
/
api
/
v1
/
sources
/
discover
/
analyses
/
{analysisId}
Read source analysis progress
Authorizations
apiKeyAuthbearerAuth
Bulkgrid API key
Path Parameters
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
crawling, analyzing, completed, partial, failed